org.apache.solr.cloud

## Class CloudUtil

- java.lang.Object
- - org.apache.solr.cloud.CloudUtil

-     public class CloudUtil
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CloudUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `checkSharedFSFailoverReplaced(CoreContainer cc, CoreDescriptor desc)` See if coreNodeName has been taken over by another baseUrl and unload core + throw exception if it has been.
    `static Map<String,byte[]>` | `getTrustedKeys(SolrZkClient zk, String dir)` Read the list of public keys from ZK
    `static String` | `unifiedResourcePath(SolrResourceLoader loader)` Returns a displayable unified path to the given resource.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CloudUtil

          public CloudUtil()

  - ### Method Detail

    - #### checkSharedFSFailoverReplaced

          public static void checkSharedFSFailoverReplaced(CoreContainer cc,
                                                           CoreDescriptor desc)

      See if coreNodeName has been taken over by another baseUrl and unload core + throw exception if it has been.

    - #### unifiedResourcePath

          public static String unifiedResourcePath(SolrResourceLoader loader)

      Returns a displayable unified path to the given resource. For non-solrCloud that will be the same as getConfigDir, but for Cloud it will be getConfigSetZkPath ending in a /

      Note: Do not use this to generate a valid file path, but for debug printing etc

      Parameters:
        `loader` - Resource loader instance
      Returns:
        a String of path to resource

    - #### getTrustedKeys

          public static Map<String,byte[]> getTrustedKeys(SolrZkClient zk,
                                                          String dir)

      Read the list of public keys from ZK

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.